Remote Quick Login
curl --request POST \
--url https://{host}/Agent/Account/RemoteQuickLogin \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Referer: <referer>' \
--data '
{
"legalId": "<string>",
"purpose": "<string>"
}
'import requests
url = "https://{host}/Agent/Account/RemoteQuickLogin"
payload = {
"legalId": "<string>",
"purpose": "<string>"
}
headers = {
"Referer": "<referer>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Referer: '<referer>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({legalId: '<string>', purpose: '<string>'})
};
fetch('https://{host}/Agent/Account/RemoteQuickLogin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/Agent/Account/RemoteQuickLogin",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'legalId' => '<string>',
'purpose' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Referer: <referer>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/Agent/Account/RemoteQuickLogin"
payload := strings.NewReader("{\n \"legalId\": \"<string>\",\n \"purpose\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Referer", "<referer>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/Agent/Account/RemoteQuickLogin")
.header("Referer", "<referer>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"legalId\": \"<string>\",\n \"purpose\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/Agent/Account/RemoteQuickLogin")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Referer"] = '<referer>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"legalId\": \"<string>\",\n \"purpose\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"loggedIn": true,
"petitionSent": true
}Accounts
Remote Quick Login
Allows the client to trigger a Quick Login procedure on a remote Neuron, without having to scan a QR code, and if successful, logging in on the machine using a given Legal Identity. Note: The call to the remote neuron does not require a login or an Agent API connection. Note 2: A Legal ID can be used to login on multiple machines.
POST
/
Agent
/
Account
/
RemoteQuickLogin
Remote Quick Login
curl --request POST \
--url https://{host}/Agent/Account/RemoteQuickLogin \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Referer: <referer>' \
--data '
{
"legalId": "<string>",
"purpose": "<string>"
}
'import requests
url = "https://{host}/Agent/Account/RemoteQuickLogin"
payload = {
"legalId": "<string>",
"purpose": "<string>"
}
headers = {
"Referer": "<referer>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Referer: '<referer>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({legalId: '<string>', purpose: '<string>'})
};
fetch('https://{host}/Agent/Account/RemoteQuickLogin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/Agent/Account/RemoteQuickLogin",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'legalId' => '<string>',
'purpose' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Referer: <referer>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/Agent/Account/RemoteQuickLogin"
payload := strings.NewReader("{\n \"legalId\": \"<string>\",\n \"purpose\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Referer", "<referer>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/Agent/Account/RemoteQuickLogin")
.header("Referer", "<referer>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"legalId\": \"<string>\",\n \"purpose\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/Agent/Account/RemoteQuickLogin")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Referer"] = '<referer>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"legalId\": \"<string>\",\n \"purpose\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"loggedIn": true,
"petitionSent": true
}Overview
Allows the client to trigger a Quick Login procedure on a remote Neuron, without having to scan a QR code, and if successful, logging in on the machine using a given Legal Identity. Note: The call to the remote neuron does not require a login or an Agent API connection. Note 2: A Legal ID can be used to login on multiple machines. If administrative access is granted to the corresponding Legal Identity, an administrative login will also be performed, if the login is successful. Note 3: Only session logins (i.e. admin logins and quick-logins) can be made using this resource. No new JWT token will be generated, as the Agent API can only be connected to the broker associated with the account the agent is using. Note 4: You can prepare the the remote quick login procedure by calling the /Account/PrepareRemoteQuickLogin resource to get the Legal ID associated with the current account. Note 5: This method of initiating the Quick-Login does not require the client to scan a QR code. Instead, the request to sign the login is sent automatically to the client when the /Account/RemoteQuickLogin resource is called. If authentication succeeds, a quick-login is performed automatically in the current session, and if there is an administrative account associated with the digital identity, such a login is also performed in the current session.Authentication
Requires a valid JWT bearer token.Notes
This endpoint uses the request schema notation described in Pattern matching.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Your application's HTTPS URL, for example https://app.example.com/. Include this header on every Agent API request, including backend calls, login, and account creation. Browser clients must use a referrer policy that sends the application origin. See /neuron-api/api-basics#required-referer-header.